
ACT_FREEZE = allocate_mario_action(ACT_FLAG_AIR)

---@param m MarioState
local function act_freeze(m)
    vec3f_copy(m.marioObj.header.gfx.pos, m.pos)
    m.vel.x = 0
    m.vel.y = 0
    m.vel.z = 0
    local animInfo = m.marioObj.header.gfx.animInfo
    if animInfo.animAccel < 0 then
        animInfo.animFrame = animInfo.animFrame + (animInfo.animAccel - 1)
    else
        animInfo.animFrame = animInfo.animFrame - (animInfo.animAccel + 1)
    end

    return 0
end

hook_mario_action(ACT_FREEZE, act_freeze)