#include "src/game/envfx_snow.h"

const GeoLayout hexagon_purple_transparent[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ASM(0, geo_update_layer_transparency),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, hexagon_purple),
		GEO_DISPLAY_LIST(LAYER_TRANSPARENT, hexagon_material_revert_render_settings),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};

const GeoLayout hexagon_purple_opaque[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, hexagon_purple),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, hexagon_material_revert_render_settings),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};

const GeoLayout hexagon_blue_transparent[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ASM(0, geo_update_layer_transparency),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, hexagon_blue),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, hexagon_material_revert_render_settings),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};

const GeoLayout hexagon_blue_opaque[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, hexagon_blue),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, hexagon_material_revert_render_settings),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};

const GeoLayout hexagon_yellow_transparent[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_ASM(0, geo_update_layer_transparency),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, hexagon_yellow),
			GEO_DISPLAY_LIST(LAYER_TRANSPARENT, hexagon_material_revert_render_settings),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};

const GeoLayout hexagon_yellow_opaque[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, hexagon_yellow),
		GEO_DISPLAY_LIST(LAYER_OPAQUE, hexagon_material_revert_render_settings),
	GEO_CLOSE_NODE(),
	GEO_RETURN(),
};

const GeoLayout hexagon_geo[] = {
	GEO_NODE_START(),
	GEO_OPEN_NODE(),
		GEO_SWITCH_CASE(6, geo_switch_anim_state),
		GEO_OPEN_NODE(),
			GEO_BRANCH(1, hexagon_purple_transparent),
			GEO_BRANCH(1, hexagon_purple_opaque),
			GEO_BRANCH(1, hexagon_blue_transparent),
			GEO_BRANCH(1, hexagon_blue_opaque),
			GEO_BRANCH(1, hexagon_yellow_transparent),
			GEO_BRANCH(1, hexagon_yellow_opaque),
		GEO_CLOSE_NODE(),
	GEO_CLOSE_NODE(),
	GEO_END(),
};
