
local function on_start_command()

    if not network_is_server() and not network_is_moderator() then
        djui_chat_message_create("You don't have permission, come on, you should know better!")
        return true
    end

    if safe_start_game() then
        djui_chat_message_create("Started a game of Fall Guys, enjoy!")
    else
        djui_chat_message_create("Can't start a game when one is already in progress!")
    end

    return true
end

local function on_spectate_command()
    toggle_spectating()
    return true
end

hook_chat_command("start", "Starts a game of Fall Guys!", on_start_command)
hook_chat_command("spectate", "Toggle spectating!", on_spectate_command)